Bug 22757 - Use YAML CodeMirror higlighting on YAML preferences
Summary: Use YAML CodeMirror higlighting on YAML preferences
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Keywords:
Depends on: 22584
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-23 11:45 UTC by Josef Moravec
Modified: 2019-05-08 14:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22757: Add CodeMirror highlighting on more YAML formatted prferences (4.64 KB, patch)
2019-04-23 11:48 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22757: Add CodeMirror highlighting on more YAML formatted prferences (5.00 KB, patch)
2019-04-23 12:17 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22757: Add CodeMirror highlighting on more YAML formatted prferences (5.03 KB, patch)
2019-04-23 12:29 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22757: Add CodeMirror highlighting on more YAML formatted preferences (5.10 KB, patch)
2019-04-24 21:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2019-04-23 11:45:41 UTC

    
Comment 1 Josef Moravec 2019-04-23 11:48:36 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2019-04-23 11:56:21 UTC
Good catch!
Comment 3 Josef Moravec 2019-04-23 12:17:41 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2019-04-23 12:29:16 UTC
Created attachment 88461 [details] [review]
Bug 22757: Add CodeMirror highlighting on more YAML formatted prferences

Test plan:
Go to system preferences and ensure the code highlighting is used on
these preferences:
    UpdateNotForLoanStatusOnCheckin
    BibtexExportAdditionalFields
    RisExportAdditionalFields
    UpdateItemWhenLostFromHoldList
    MarcFieldsToOrder
    MarcItemFieldsToOrder
    ItemsDeniedRenewal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Josef Moravec 2019-04-23 12:31:22 UTC
> Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Thanks Owen!
Comment 6 Katrin Fischer 2019-04-24 21:10:38 UTC
Created attachment 88658 [details] [review]
Bug 22757: Add CodeMirror highlighting on more YAML formatted preferences

Test plan:
Go to system preferences and ensure the code highlighting is used on
these preferences:
    UpdateNotForLoanStatusOnCheckin
    BibtexExportAdditionalFields
    RisExportAdditionalFields
    UpdateItemWhenLostFromHoldList
    MarcFieldsToOrder
    MarcItemFieldsToOrder
    ItemsDeniedRenewal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Nick Clemens 2019-04-29 16:21:05 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-05-08 14:04:31 UTC
Enhancement will not be backported to 18.11.c series